Index: GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h	(revision 1525)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/include/DiffuseTest.h	(revision 1590)
@@ -44,4 +44,5 @@
 				 
     {
+		this->mMoveSpeed = 2.0;
 		framecount = 0;
 		this->objectNode = objectNode;
@@ -52,4 +53,14 @@
         {
 			objectNode->translate(0,0,0.5);
+        }
+		if (mInputDevice->isKeyDown(KC_MULTIPLY))
+        {
+			objectNode->scale(1.1,1.1,1.1);
+			mTimeUntilNextToggle = 1;
+        }
+		if (mInputDevice->isKeyDown(KC_DIVIDE))
+        {
+			objectNode->scale(1.0/1.1,1.0/1.1,1.0/1.1);
+			mTimeUntilNextToggle = 1;
         }
 		if (mInputDevice->isKeyDown(KC_ADD))
@@ -236,5 +247,5 @@
     {
 
-		//createPostproc();
+	//	createPostproc();
 		
 		OgreIlluminationManager::getSingleton().setMainCamera(mCamera);
@@ -245,9 +256,12 @@
 		Root::getSingleton()._setCurrentSceneManager(mSceneMgr);
 
-		mCamera->setPosition(0,100,240);
+		mCamera->setPosition(0,10,10);		
 		mCamera->setFOVy(Radian(Degree(80)));
-		//mCamera->setFarClipDistance(1000);
+		mCamera->setFarClipDistance(100);
+		mCamera->setNearClipDistance(0.1);
 		// Set ambient light
-       // mSceneMgr->setAmbientLight(ColourValue(1, 1, 1));
+        mSceneMgr->setAmbientLight(ColourValue(0.1, 0.0537, 0.0));
+		//mSceneMgr->setAmbientLight(ColourValue(0.0, 0.0, 0.0));
+		 
 
 		// Skybox
@@ -256,18 +270,90 @@
 		SceneNode* rootNode = mSceneMgr->getRootSceneNode();
 
-      	Entity* object = mSceneMgr->createEntity("object", "ogrehead.mesh");
+      	Entity* object = mSceneMgr->createEntity("object", "athene.mesh");
 		object->setMaterialName("GameTools/Diffuse/use");
 		//object->setMaterialName("GameTools/Diffuse2");
 		objectNode = rootNode->createChildSceneNode();
 		objectNode->attachObject(object);
+		objectNode->scale(0.05,0.05,0.05);
+		objectNode->setPosition(0,4,0);
 		objectNode->_updateBounds();
 
-		Entity* room = mSceneMgr->createEntity("atlascube", "atlascube.mesh");
+		Entity* room = mSceneMgr->createEntity("atlascube", "diffscene.mesh");
+		//room->setMaterialName("GameTools/Phong");
 		SceneNode* roomNode = rootNode->createChildSceneNode();
-		//roomNode->setScale(2.5,2.5,2.5);
+		//roomNode->setScale(10,10,10);
 		roomNode->attachObject(room);
 		roomNode->_updateBounds();
-
-
+		
+		Light* bluelight = mSceneMgr->createLight("BlueLight");
+		bluelight->setType(Light::LT_POINT);
+        bluelight->setDiffuseColour(ColourValue(0.152,0.824, 1.0));
+		//bluelight->setSpecularColour(ColourValue(0.152,0.824, 1.0));
+		bluelight->setPowerScale(5.726);
+		bluelight->setAttenuation(12, 0, 1, 0);
+		SceneNode* bluelightNode = rootNode->createChildSceneNode();
+		bluelightNode->setPosition(-5.948,9.619,0.980);
+		bluelightNode->attachObject(bluelight); 
+
+		Light* walllight1 = mSceneMgr->createLight("WallLight1");
+		walllight1->setType(Light::LT_POINT);
+        walllight1->setDiffuseColour(ColourValue(0.988,1.0, 0.808));
+		//walllight1->setSpecularColour(ColourValue(0.988,1.0, 0.808));
+		walllight1->setPowerScale(2.5);
+		walllight1->setAttenuation(12, 0, 1, 0);
+		SceneNode* walllight1Node = rootNode->createChildSceneNode();
+		walllight1Node->setPosition(-4.822,9.353,-5.194);
+		walllight1Node->attachObject(walllight1); 
+
+		Light* walllight2 = mSceneMgr->createLight("WallLight2");
+		walllight2->setType(Light::LT_POINT);
+        walllight2->setDiffuseColour(ColourValue(0.988,1.0, 0.808));
+		//walllight2->setSpecularColour(ColourValue(0.988,1.0, 0.808));
+		walllight2->setPowerScale(2.5);
+		walllight2->setAttenuation(12, 0, 1, 0);
+		SceneNode* walllight2Node = rootNode->createChildSceneNode();
+		walllight2Node->setPosition(-4.822,9.353,5.150);
+		walllight2Node->attachObject(walllight2); 
+
+		Light* walllight3 = mSceneMgr->createLight("WallLight3");
+		walllight3->setType(Light::LT_POINT);
+        walllight3->setDiffuseColour(ColourValue(0.988,1.0, 0.808));
+		//walllight3->setSpecularColour(ColourValue(0.988,1.0, 0.808));
+		walllight3->setPowerScale(2.5);
+		walllight3->setAttenuation(12, 0, 1, 0);
+		SceneNode* walllight3Node = rootNode->createChildSceneNode();
+		walllight3Node->setPosition(-11.08,10.07,-24.658);
+		walllight3Node->attachObject(walllight3); 
+
+		Light* walllight4 = mSceneMgr->createLight("WallLight4");
+		walllight4->setType(Light::LT_POINT);
+        walllight4->setDiffuseColour(ColourValue(0.988,1.0, 0.808));
+		//walllight4->setSpecularColour(ColourValue(0.988,1.0, 0.808));
+		walllight4->setPowerScale(2.5);
+		walllight4->setAttenuation(12, 0, 1, 0);
+		SceneNode* walllight4Node = rootNode->createChildSceneNode();
+		walllight4Node->setPosition(-11.08,10.07,-11.474);
+		walllight4Node->attachObject(walllight4); 
+
+		Light* redlight1 = mSceneMgr->createLight("RedLight1");
+		redlight1->setType(Light::LT_POINT);
+        redlight1->setDiffuseColour(ColourValue(1.0,0.367, 0.016));
+		//redlight1->setSpecularColour(ColourValue(1.0,0.367, 0.016));
+		redlight1->setPowerScale(3.59);
+		redlight1->setAttenuation(2, 0, 1, 0);
+		SceneNode* redlight1Node = rootNode->createChildSceneNode();
+		redlight1Node->setPosition(24.958,7.743,-10.838);
+		redlight1Node->attachObject(redlight1); 
+
+		Light* redlight2 = mSceneMgr->createLight("RedLight2");
+		redlight2->setType(Light::LT_POINT);
+        redlight2->setDiffuseColour(ColourValue(1.0,0.367, 0.016));
+		//redlight2->setSpecularColour(ColourValue(1.0,0.367, 0.016));
+		redlight2->setPowerScale(3.59);
+		redlight2->setAttenuation(2, 0, 1, 0);
+		SceneNode* redlight2Node = rootNode->createChildSceneNode();
+		redlight2Node->setPosition(18.689,7.743,-10.838);
+		redlight2Node->attachObject(redlight2); 
+		
 		OgreIlluminationManager::getSingleton().initTechniques();
 		
@@ -302,4 +388,6 @@
 											objectNode
 											);
+		mFrameListener->setPriority(1);
+		OgreIlluminationManager::getSingleton().setPriority(2);
         mRoot->addFrameListener(&OgreIlluminationManager::getSingleton());
 		mRoot->addFrameListener(mFrameListener);
Index: GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/scripts/DiffuseTest.vcproj
===================================================================
--- GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/scripts/DiffuseTest.vcproj	(revision 1519)
+++ GTP/trunk/App/Demos/Illum/Ogre/src/DiffuseTest/scripts/DiffuseTest.vcproj	(revision 1590)
@@ -155,5 +155,11 @@
 			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
 			<File
+				RelativePath="..\..\..\Media\materials\scripts\diffscene.material">
+			</File>
+			<File
 				RelativePath="..\..\..\Media\materials\scripts\Diffuse.material">
+			</File>
+			<File
+				RelativePath="..\..\..\Media\materials\scripts\GameTools.material">
 			</File>
 			<File
@@ -167,5 +173,11 @@
 			</File>
 			<File
+				RelativePath="..\..\..\Media\materials\programs\GameTools_Phong.hlsl">
+			</File>
+			<File
 				RelativePath="..\..\..\Media\materials\scripts\GlassHead.material">
+			</File>
+			<File
+				RelativePath="..\..\..\Media\materials\scripts\Glow.material">
 			</File>
 		</Filter>
